Subject: Re: IPP> MOD - Definition for 'reverse-portrait' enum value

From: Harry Lewis <[email-masked]>
Date: Fri, 9 Jan 1998 10:37:20 -0500

I tried to send this yesterday but there was a problem...

Harry Lewis - IBM Printing Systems

---------------------- Forwarded by Harry Lewis/Boulder/IBM on 01/09/98 08:22 AM
 ---------------------------

Harry Lewis
01/08/98 04:43 PM
To: [email-masked] @ internet
cc:
From: Harry Lewis/Boulder/IBM @ IBMUS
Subject: Re: IPP> MOD - Definition for 'reverse-portrait' enum value

Since job-template attributes are intended to override embedded print stream
instructions, I'm confused by 4.2.10 orientation-requested (type2 enum) which,
by its definition, indicates the opposite (this attribute WILL be overridden by
the PDL as a matter of course, if I understand correctly).

If we're just trying to address "plain-text" with this attribute, then maybe it
should be called "plain-text-default-orientation"?

Otherwise, this particular attribute appears to go against the grain with
respect to the intent of job-template attributes. I think it is unique in this
sense which could be why we are struggling with the definition.

Harry Lewis - IBM Printing Systems

[email-masked] on 01/08/98 10:04:56 AM
Please respond to [email-masked] @ internet
To: [email-masked] @ internet, [email-masked] @ internet
cc:
Subject: Re: IPP> MOD - Definition for 'reverse-portrait' enum value

I suggest the following wording for the paragraphs 4.2.10 that Tom wrote
and I enclose below:

My wording:
-----------------------------------------------
For documents whose document-format does not explicitly specify the
orientation (e.g. text/plain), this attribute specifies the
client-requested orientation of the content of the print-stream pages
when they are printed. For documents whose document-format does explicitly
specify the orientation (e.g. PostScript), this attribute has no meaning --
it neither alters the orientation nor specifies the existing orientation.
-----------------------------------------------
Tom's wording:

> From [email-masked] Wed Jan  7 18:21:58 1998
> Proposed new text:
>
> 4.2.10 orientation-requested (type2 enum)
>
> This attribute specifies the orientation of the content of the print-stream
> pages to be printed.  In most cases, the orientation of the content is
> specified within the document format generated by the device driver at
> print time. However, some document formats (such as 'text/plain') do not
> support the notion of page orientation, and it is possible to bind the
> orientation after the document content has been generated.  This attribute
> provides an end user with the means to specify orientation for such
> documents when the IPP Printer performs the formatting.
>

---

From: Tom Hastings <[email-masked]>
Date: Fri, 9 Jan 1998 15:01:36 PST

>---------------------- Forwarded by Harry Lewis/Boulder/IBM on 01/09/98
08:22 AM

It is overriden by the PDL, as long as the PDL not 'text/plain' or
any document that has the orientation instructions embedded in the PDL.

>should be called "plain-text-default-orientation"?

It maybe good to include "plain-text" in the name.  However, I don't
think we need to include "default", since for plain text it isn't the
default, its what the client is asking the Printer to do and an IPP
printer that supports "plain-text-orientation" MUST be able to handle
whatever values the "plain-text-orientation-supported" attribute contains.

Alternatively, we haven't (yet) considered the client being able to
submit "xxx-default" attributes.  In this case, if the attribute
were "orientation-default" that the client supplies, then any PDL
that embeds orientation would override and any PDL that doesn't
contain an orientation, such as 'text/plain', would be affected by
the "orientation-default" attribute.

>sense which could be why we are struggling with the definition.

Good observation.  I agree.